Update webhook configuration
curl --request PUT \
--url https://api-sandbox.orum.io/webhooks/configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"event_types": [],
"url": "<string>",
"enabled": true
}
'import requests
url = "https://api-sandbox.orum.io/webhooks/configurations/{id}"
payload = {
"event_types": [],
"url": "<string>",
"enabled": True
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({event_types: [], url: '<string>', enabled: true})
};
fetch('https://api-sandbox.orum.io/webhooks/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook_configuration": {
"id": "<string>",
"enterprise_name": "<string>",
"data_version": "v2022-09-21",
"event_types": [
"subscribe_all"
],
"enabled": true,
"url": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"updated_at": "<string>",
"updated_by": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Configure webhooks
Update Webhook Configuration
PUT
/
webhooks
/
configurations
/
{id}
Update webhook configuration
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Path Parameters
Orum generated unique id for the webhook resource you are updating.
Body
application/json
The types of events for which you would like to receive a webhook e.g. transfer_created. Use subscribe_all to receive webhooks for all events.
The type of event you want to invoke a webhook for.
Available options:
subscribe_all, person_created, person_verified, person_rejected, person_restricted, person_unverified, person_closed, person_all, business_created, business_verified, business_rejected, business_restricted, business_unverified, business_closed, business_all, external_account_created, external_account_verified, external_account_rejected, external_account_restricted, external_account_unverified, external_account_closed, external_account_all, transfer_updated, transfer_all, verify_account_updated, subledger_all, subledger_created, book_transfer_all, book_transfer_updated The URL where you would like the webhook to be sent.
A boolean to determine whether the configuration is enabled. Acts as an on/off switch for that particular webhook.
Response
200 response.
Show child attributes
Show child attributes
Was this page helpful?